"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InternalServerError = exports.BadRequest = exports.NotFound = exports.TooManyRequests = exports.UnsupportedMediaType = exports.HttpError = void 0;
class HttpError extends Error {
    constructor(message, statusCode) {
        super(message);
        this.statusCode = statusCode;
    }
}
exports.HttpError = HttpError;
class UnsupportedMediaType extends HttpError {
    constructor(message) {
        super(message || 'Unsupported media type', 415);
    }
}
exports.UnsupportedMediaType = UnsupportedMediaType;
class TooManyRequests extends HttpError {
    constructor(message) {
        super(message || 'Too many requests', 429);
    }
}
exports.TooManyRequests = TooManyRequests;
class NotFound extends HttpError {
    constructor(message) {
        super(message || 'Not found', 404);
    }
}
exports.NotFound = NotFound;
class BadRequest extends HttpError {
    constructor(message) {
        super(message || 'Bad request', 400);
    }
}
exports.BadRequest = BadRequest;
class InternalServerError extends HttpError {
    constructor(message) {
        super(message || 'Internal server error', 500);
    }
}
exports.InternalServerError = InternalServerError;
