"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logger = void 0;
const winston_1 = __importDefault(require("winston"));
const consoleTransport = new winston_1.default.transports.Console({
    format: winston_1.default.format((logEntry) => {
        const base = { timestamp: new Date().toISOString() };
        const json = Object.assign(base, logEntry);
        logEntry.message = JSON.stringify(json);
        return logEntry;
    })(),
});
winston_1.default.remove(winston_1.default.transports.Console);
winston_1.default.add(consoleTransport);
exports.logger = winston_1.default;
